Bug 1478536 - Blender warnings "X server found. dri2 connection failed!"
Blender warnings "X server found. dri2 connection failed!"
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 14:43 EDT by Alex Markley
Modified: 2017-08-07 00:49 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Markley 2017-08-04 14:43:26 EDT
Description of problem:

When launching Blender, after switching the rendering engine to "Cycles Render", the terminal displays a large number of errors and warnings:

---- SNIP ----
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
---- SNIP ----

Version-Release number of selected component (if applicable):

blender-2.78c-4.fc26.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Launch /usr/bin/blender from within Terminal
2. Switch to "Cycles Render" in upper-right drop down.
3. Observe "dri2 connection failed" error messages repeated several times.

Actual results:

Blender complains over and over that it cannot connect to DRI.

Expected results:

Blender should be able to establish appropriate connections to DRI.

Additional info:

This issue is only reproducible within Wayland. Under Xorg, this issue is not present.
Comment 1 Nicolas Chauvet (kwizart) 2017-08-04 15:38:28 EDT
(In reply to Alex Markley from comment #0)
> Description of problem:
> 
> When launching Blender, after switching the rendering engine to "Cycles
> Render", the terminal displays a large number of errors and warnings:
> 
> ---- SNIP ----
> X server found. dri2 connection failed!
> DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
> Assuming 131072kB available aperture size.
> May lead to reduced performance or incorrect rendering.
> get chip id failed: -1 [22]
> param: 4, val: 0
> ---- SNIP ----
This doesn't seems a good start for using blender on such hw environmment.

Can you please report which hardware is this, Desktop environment and if using Wayland or Xorg ?
Comment 2 Alex Markley 2017-08-05 08:57:13 EDT
Sorry for missing those basic stats.

Uname: Linux obsidian.malexmedia.net 4.11.11-300.fc26.x86_64 #1 SMP Mon Jul 17 16:32:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
CPU: Intel® Core™ i7-7500U CPU @ 2.70GHz × 4
RAM: 16GB
Integrated GPU: Intel® HD Graphics 620 (Kaby Lake GT2)
Discrete GPU: NVIDIA Corporation GM107M [GeForce GTX 950M] (rev a2)

I'm using Gnome, and the problem only occurs on Wayland. On Xorg, the errors do not appear.

I should say also that this issue did *not* appear in FC25 on the same hardware.
Comment 3 Luya Tshimbalanga 2017-08-05 16:04:24 EDT
(In reply to Alex Markley from comment #2)
> Sorry for missing those basic stats.
> 
> Uname: Linux obsidian.malexmedia.net 4.11.11-300.fc26.x86_64 #1 SMP Mon Jul
> 17 16:32:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
> CPU: Intel® Core™ i7-7500U CPU @ 2.70GHz × 4
> RAM: 16GB
> Integrated GPU: Intel® HD Graphics 620 (Kaby Lake GT2)
> Discrete GPU: NVIDIA Corporation GM107M [GeForce GTX 950M] (rev a2)
> 
> I'm using Gnome, and the problem only occurs on Wayland. On Xorg, the errors
> do not appear.
> 
> I should say also that this issue did *not* appear in FC25 on the same
> hardware.


I failed to reproduce the bug with the hybrid laptop ASUS X550ZE featuring:

Integrated GPU: Advanced Micro Devices, Inc. [AMD/ATI] Kaveri [Radeon R6 Graphics] 
Dedicated GPU: Advanced Micro Devices, Inc. [AMD/ATI] Jet PRO [Radeon R5 M230]  

 The issues seems a regression related to the nouveau driver on  Wayland session. Try to run "DRI_PRIME=1 blender" to use Nvidia and blender for Intel HD  in the terminal and submit the result.
Comment 4 Alex Markley 2017-08-05 21:53:34 EDT
(In reply to Luya Tshimbalanga from comment #3)
> The issues seems a regression related to the nouveau driver on  Wayland
> session.

I would agree with this assessment, since everything was working previously. All I did was a dnf system upgrade.

> Try to run "DRI_PRIME=1 blender" to use Nvidia and blender for
> Intel HD  in the terminal and submit the result.

To confirm, this is the result of using DRI_PRIME in my environment:

---- SNIP ----
[alex@obsidian ~]$ glxinfo | egrep 'renderer string|direct rendering'
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
[alex@obsidian ~]$ DRI_PRIME=1 glxinfo | egrep 'renderer string|direct rendering'
direct rendering: Yes
OpenGL renderer string: Gallium 0.4 on NV117
[alex@obsidian ~]$ 
---- SNIP ----

Unfortunately, DRI_PRIME=1 has no positive impact on this issue with Blender:

---- SNIP ----
[alex@obsidian ~]$ DRI_PRIME=1 /usr/bin/blender
Read new prefs: /home/alex/.config/blender/2.78/config/userpref.blend
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
Saved session recovery to '/tmp/quit.blend'

Blender quit
[alex@obsidian ~]$ 
---- SNIP ----

I should note that I have not observed any *functional* issues associated with these warnings, except delays during startup.

(I should also note that glxgears reports no issues with direct rendering on either GPU.)
Comment 5 Luya Tshimbalanga 2017-08-05 22:54:16 EDT
Backup your user preference somewhere then delete it to use the default:
/home/alex/.config/blender/2.78/config/userpref.blend

Start blender both way including with DRI_PRIME=1. Should both method fail, let assign the issue to nouveau driver for further debugging.
Comment 6 Alex Markley 2017-08-06 20:33:40 EDT
After deleting userpref.blend, here were the results:

---- SNIP ----
[alex@obsidian RenderTemp]$ /usr/bin/blender 
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0

Blender quit
[alex@obsidian RenderTemp]$ 
---- SNIP ----

And with DRI_PRIME...

---- SNIP ----
[alex@obsidian RenderTemp]$ DRI_PRIME=1 /usr/bin/blender 
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0
X server found. dri2 connection failed! 
DRM_IOCTL_I915_GEM_APERTURE failed: Invalid argument
Assuming 131072kB available aperture size.
May lead to reduced performance or incorrect rendering.
get chip id failed: -1 [22]
param: 4, val: 0

Blender quit
---- SNIP ----
Comment 7 Luya Tshimbalanga 2017-08-07 00:49:35 EDT
Thank you for testing. Let's assign the issue to xorg as the issue seems affecting hybrid graphic hardware Intel+Nvidia.

Note You need to log in before you can comment on or make changes to this bug.